TYPO3.Fluid - Task # 36207

Status: Resolved Priority: Should have
Author: Ingo Pfennigstorf Category: ViewHelpers
Created: 2012-04-17 Assigned To:

Updated: 2014-02-19 Due date:

Has patch: No

Subject: Speed up performance in format.currency

Description

Related to #34519 setting an empty default value for format.currency speeds this ViewHelper up

Associated revisions

Revision 48e3cf06 - 2013-05-15 14:52 - Alexander Berl

[TASK] Optimize number_format calls

This change optimizes number_format calls in ViewHelpers by

explicitly casting the number argument to float.

A benchmark shows this increases performance of the number_format

call by a factor of 2-3.

Change-Id: 18e07703949ceb3781a101db80ee2b706d21a8f58

Releases: master, 2.0
Resolves: #36207

Revision e8ce1232 - 2014-01-31 15:07 - Alexander Berl

[TASK] Optimize number_format calls

This change optimizes number_format calls in ViewHelpers by

explicitly casting the number argument to float.

A benchmark shows this increases performance of the number_format

call by a factor of 2-3.

Change-Id: 18e07703949ceb3781a101db80ee2b706d21a8f58

Releases: master, 2.0
Resolves: #36207

History

#1 - 2012-07-23 00:19 - Christian Kuhn

This micro optimization was now merged to v4 fluid with https://review.typo3.org/#/c/10443/ in ticket #34519

#2 - 2013-05-15 14:53 - Gerrit Code Review
- Status changed from New to Under Review
https://review.typo3.org/#/c/10443/

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/20789

#3 - 2013-05-15 14:55 - Alexander Berl

A quick bench with following code proves a simple explicit cast increases performance of that call by a factor of 2-3:

$stringToFormat ="' ';
$runs = 10000;

$start = microtime(true);
for ($i=0;$i<$runs;$i++) {
@number_format($stringToFormat, 2,',', .");

}

echo "Don't cast: " . (microtime(true) - $start) . "\n";

$start = microtime(true);
for ($i=0;$i<$runs;$i++) {
@number_format((float)$stringToFormat, 2, ',', '.");

}

echo "Explicit cast: " . (microtime(true) - $start) . "\n";

Note: The shutup operator is only used to prevent Warning messages from flooding the output.

#4 - 2014-01-31 15:07 - Gerrit Code Review

Patch set 1 for branch 2.0 of project Packages/TYPO3.Fluid has been pushed to the review server.

It is available at https://review.typo3.org/27195

#5 - 2014-02-19 11:36 - Alexander Berl
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:e8ce12322f3f6cfde83f5e2589faféa7a7dfa7ch.
